Fix Perl version references in INSTALL